﻿DROP TABLE toto1;
CREATE TABLE toto1 AS
SELECT id_mutatio, id_nature_, annee_muta, list_art_c, surface_te, valeur_fon
FROM ff_d59_2013."ADUS_mutation_dvf_gone" AS t1
WHERE surface_te>0
  AND valeur_fon>1
  AND nb_local=0
  AND nb_volume=0
  AND dcntsol+dcntbois+dcntnat+dcnteau+dcntagri+dcnt07<=surface_te
  AND (id_nature_=6
	OR (id_nature_=4
		AND ((list_art_c is null)
		OR (list_art_c LIKE '%1594OGA%')
		OR (list_art_c LIKE '%257-7-1*3%')
		OR (list_art_c LIKE '%"278 sexies I.1"%')
		OR (list_art_c LIKE '%1594D*2%'))));

DELETE FROM toto1
WHERE id_nature_=4
  AND list_art_c IS NULL
  AND id_mutatio NOT IN (SELECT t1.id_mutatio 
			   FROM ff_d59_2013."ADUS_mutation_dvf_gone" AS t1, d59_g_zone_auc AS t2
			  WHERE id_nature_=4
			    AND list_art_c IS NULL
			    AND ST_Intersects(t1.geomloc, t2.geo_obj1));

DROP TABLE toto3;
CREATE TABLE toto3 AS
SELECT id_mutatio, annee_muta, surface_te, CASE WHEN  annee_muta='2005' THEN valeur_fon*1.137
		WHEN  annee_muta='2006' THEN valeur_fon*1.119
		WHEN  annee_muta='2007' THEN valeur_fon*1.103
		WHEN  annee_muta='2008' THEN valeur_fon*1.073
		WHEN  annee_muta='2009' THEN valeur_fon*1.072
		WHEN  annee_muta='2010' THEN valeur_fon*1.055
		WHEN  annee_muta='2011' THEN valeur_fon*1.034
		WHEN  annee_muta='2012' THEN valeur_fon*1.014
		WHEN  annee_muta='2013' THEN valeur_fon*1.005
		WHEN  annee_muta='2014' THEN valeur_fon*1.000
		ELSE 0 END AS valeur_fon2014
FROM toto1;

DROP TABLE toto2;
CREATE TABLE toto2 AS
SELECT id_mutatio, annee_muta, valeur_fon2014, surface_te, valeur_fon2014/surface_te AS Prix_m2
FROM toto3;

SELECT annee_muta, 
      (CASE WHEN annee_muta=2005 THEN mediane_quantile(array_sort(array_agg(prix_m2)),50) 
            WHEN annee_muta=2006 THEN mediane_quantile(array_sort(array_agg(prix_m2)),50)
            WHEN annee_muta=2007 THEN mediane_quantile(array_sort(array_agg(prix_m2)),50)
            WHEN annee_muta=2008 THEN mediane_quantile(array_sort(array_agg(prix_m2)),50)
            WHEN annee_muta=2009 THEN mediane_quantile(array_sort(array_agg(prix_m2)),50)
            WHEN annee_muta=2010 THEN mediane_quantile(array_sort(array_agg(prix_m2)),50)
            WHEN annee_muta=2011 THEN mediane_quantile(array_sort(array_agg(prix_m2)),50)
            WHEN annee_muta=2012 THEN mediane_quantile(array_sort(array_agg(prix_m2)),50)
            WHEN annee_muta=2013 THEN mediane_quantile(array_sort(array_agg(prix_m2)),50)
            WHEN annee_muta=2014 THEN mediane_quantile(array_sort(array_agg(prix_m2)),50)
            ELSE 0 END)
FROM toto2
GROUP BY annee_muta;